comedi_get_gate_source
Prev | 5.4.6. Extensions | Next

## Name

comedi_get_gate_source — get gate for a subdevice

## Synopsis

    #include <comedilib.h>

`int comedi_get_gate_source(` | comedi_t * device,
| unsigned int subdevice,
| unsigned int channel,
| unsigned int gate_index,
| unsigned int * gate_source`)`;

## Status

alpha

## Description

This function queries the gate for a subdevice, as set by `comedi_set_gate_source`. The currently configured gate source will be written to `*`gate_source``. The possible values and their corresponding gates are driver-dependant. If the subdevice does not support configuring its gates on a per-channel basis, then the `channel` parameter will be ignored.

This function is only useable on subdevices that provide support for the `INSN_CONFIG_GET_GATE_SRC` configuration instruction.

## Return value

`0` on success, `-1` on error.

Prev | Up | Next
comedi_get_clock_source | Home | comedi_get_hardware_buffer_size